<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_1</title>
</head>
<body>
    <h1>Capitulo 1</h1>
    <a>Ejercicio 1</a>

    <script>

    const caracterUnico = ( str = "" ) => {
        if (!str) return console.warn("No ingresaste un texto");
        if (typeof str !== "string")
            return (`El caracter: ${str} no es un cadena de texto`);

        let expReg = /^[A-Za-z0-9 !"#$%&'()*+,-./:;<=>?`{|}~]+$/g.test(str);

        return (expReg)
            ? console.log(`Su cadena no tiene caracteres ùnicos`)
            : console.error(`"${str}", tiene un caracter ùnico`)        
    }

    caracterUnico("hola mundo del chavo del #8 ");


    </script>
    
</body>
</html>